<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<?fileVersion 4.0.0?><cproject storage_type_id="org.eclipse.cdt.core.XmlProjectDescriptionStorage">
	<storageModule moduleId="org.eclipse.cdt.core.settings">
		<cconfiguration id="com.silabs.ss.tool.ide.c8051.toolchain.keil.cdt.debug#com.silabs.ss.tool.ide.c8051.toolchain.keil.cdt:9.53.0">
			<storageModule buildSystemId="org.eclipse.cdt.managedbuilder.core.configurationDataProvider" id="com.silabs.ss.tool.ide.c8051.toolchain.keil.cdt.debug#com.silabs.ss.tool.ide.c8051.toolchain.keil.cdt:9.53.0" moduleId="org.eclipse.cdt.core.settings" name="Keil 8051 v9.53 - Debug">
				<macros>
					<stringMacro name="StudioSdkPath" type="VALUE_PATH_DIR" value="${StudioSdkPathFromID:com.silabs.sdk.8051:4.1.6._-963069324}"/>
					<stringMacro name="StudioToolchainPath" type="VALUE_PATH_DIR" value="${StudioToolchainPathFromID:com.silabs.ss.tool.ide.c8051.toolchain.keil.cdt:9.53.0}"/>
				</macros>
				<externalSettings/>
				<extensions>
					<extension id="com.silabs.ss.framework.debugger.core.HEX" point="org.eclipse.cdt.core.BinaryParser"/>
					<extension id="com.silabs.ss.tool.ide.c8051.debug.OMF2" point="org.eclipse.cdt.core.BinaryParser"/>
					<extension id="com.silabs.ss.framework.debugger.core.EBL" point="org.eclipse.cdt.core.BinaryParser"/>
					<extension id="com.silabs.ss.framework.debugger.core.GBL" point="org.eclipse.cdt.core.BinaryParser"/>
					<extension id="com.silabs.ss.tool.ide.c8051.debug.OMF" point="org.eclipse.cdt.core.BinaryParser"/>
					<extension id="com.silabs.ss.framework.debugger.core.BIN" point="org.eclipse.cdt.core.BinaryParser"/>
					<extension id="com.silabs.ss.framework.debugger.core.S37" point="org.eclipse.cdt.core.BinaryParser"/>
					<extension id="org.eclipse.cdt.core.GmakeErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="com.silabs.ss.tool.ide.c8051.toolchain.keil.cdt.KeilErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.CWDLocator" point="org.eclipse.cdt.core.ErrorParser"/>
				</extensions>
			</storageModule>
			<storageModule buildConfig.needsApplyStock="true" buildConfig.stockConfigId="com.silabs.ss.tool.ide.c8051.toolchain.keil.cdt.debug#com.silabs.ss.tool.ide.c8051.toolchain.keil.cdt:9.53.0" cppBuildConfig.cppBuiltInState="[{&quot;builtinMacrosMap&quot;:{},&quot;builtinLibraryPathsStr&quot;:&quot;&quot;,&quot;builtinLibraryFilesStr&quot;:&quot;&quot;,&quot;builtinLibraryNames&quot;:[],&quot;builtinLibraryObjectsStr&quot;:&quot;&quot;,&quot;id&quot;:&quot;inc/disp/hsl2rgb.h&quot;,&quot;builtinIncludesStr&quot;:&quot;&quot;,&quot;resolvedOptionsStr&quot;:&quot;[]&quot;},{&quot;builtinMacrosMap&quot;:{},&quot;builtinLibraryPathsStr&quot;:&quot;&quot;,&quot;builtinLibraryFilesStr&quot;:&quot;&quot;,&quot;builtinLibraryNames&quot;:[],&quot;builtinLibraryObjectsStr&quot;:&quot;&quot;,&quot;id&quot;:&quot;&quot;,&quot;builtinIncludesStr&quot;:&quot;studio:/sdk/Device/shared/si8051Base/ studio:/sdk/Device/EFM8UB2/inc/ studio:/sdk/Device/EFM8UB2/peripheral_driver/inc/ studio:/sdk/Device/shared/si8051Base/ studio:/sdk/Device/EFM8UB2/inc/ studio:/sdk/Device/EFM8UB2/peripheral_driver/inc/&quot;,&quot;resolvedOptionsStr&quot;:&quot;[{\&quot;listValues\&quot;:[],\&quot;toolId\&quot;:\&quot;com.silabs.ide.si8051.keil.toolchain.exe.default\&quot;,\&quot;builtin\&quot;:true,\&quot;optionId\&quot;:\&quot;com.silabs.ide.si8051.keil.toolchain.category.general.extended_assembler\&quot;,\&quot;value\&quot;:\&quot;true\&quot;,\&quot;listValuesMap\&quot;:{}},{\&quot;listValues\&quot;:[],\&quot;toolId\&quot;:\&quot;com.silabs.ide.si8051.keil.toolchain.exe.default\&quot;,\&quot;builtin\&quot;:true,\&quot;optionId\&quot;:\&quot;com.silabs.ide.si8051.keil.toolchain.category.general.extended_linker\&quot;,\&quot;value\&quot;:\&quot;true\&quot;,\&quot;listValuesMap\&quot;:{}}]&quot;},{&quot;builtinMacrosMap&quot;:{},&quot;builtinLibraryPathsStr&quot;:&quot;&quot;,&quot;builtinLibraryFilesStr&quot;:&quot;&quot;,&quot;builtinLibraryNames&quot;:[],&quot;builtinLibraryObjectsStr&quot;:&quot;&quot;,&quot;id&quot;:&quot;inc/disp/ugui.h&quot;,&quot;builtinIncludesStr&quot;:&quot;&quot;,&quot;resolvedOptionsStr&quot;:&quot;[]&quot;},{&quot;builtinMacrosMap&quot;:{},&quot;builtinLibraryPathsStr&quot;:&quot;&quot;,&quot;builtinLibraryFilesStr&quot;:&quot;&quot;,&quot;builtinLibraryNames&quot;:[],&quot;builtinLibraryObjectsStr&quot;:&quot;&quot;,&quot;id&quot;:&quot;inc/disp/ugui_config.h&quot;,&quot;builtinIncludesStr&quot;:&quot;&quot;,&quot;resolvedOptionsStr&quot;:&quot;[]&quot;}]" moduleId="com.silabs.ss.framework.ide.project.core.cpp" projectCommon.boardIds="com.silabs.board.none:0.0.0" projectCommon.partId="mcu.8051.efm8.ub2.efm8ub20f64g-b-qfp32" projectCommon.referencedModules="[{&quot;removed&quot;:true,&quot;builtinExcludes&quot;:[&quot;lib/bsp&quot;,&quot;lib/bsp/bsp.h&quot;,&quot;efm8bb1_slstk2020a&quot;,&quot;bsp&quot;,&quot;efm8bb1_lck&quot;,&quot;efm8bb2_slstk2021a&quot;,&quot;efm8bb3_slstk2022a&quot;,&quot;efm8bb3_brd5203a&quot;,&quot;efm8bb3_brd5204a&quot;,&quot;efm8lb1_slstk2030a&quot;,&quot;efm8sb1_slstk2010a&quot;,&quot;efm8sb2_slstk2011a&quot;,&quot;efm8ub1_slstk2000a&quot;,&quot;efm8ub2_slstk2001a&quot;,&quot;efm8ub3_sltb005a&quot;],&quot;builtinSources&quot;:[&quot;lib/bsp&quot;,&quot;lib/bsp/bsp.h&quot;,&quot;efm8bb1_slstk2020a&quot;,&quot;bsp&quot;,&quot;efm8bb1_lck&quot;,&quot;efm8bb2_slstk2021a&quot;,&quot;efm8bb3_slstk2022a&quot;,&quot;efm8bb3_brd5203a&quot;,&quot;efm8bb3_brd5204a&quot;,&quot;efm8lb1_slstk2030a&quot;,&quot;efm8sb1_slstk2010a&quot;,&quot;efm8sb2_slstk2011a&quot;,&quot;efm8ub1_slstk2000a&quot;,&quot;efm8ub2_slstk2001a&quot;,&quot;efm8ub3_sltb005a&quot;],&quot;builtin&quot;:false,&quot;module&quot;:&quot;&lt;project:MModule xmlns:project=\&quot;http://www.silabs.com/ss/Project.ecore\&quot; id=\&quot;com.silabs.sdk.si8051.external.bsp.efm8_bsp\&quot;/&gt;&quot;},{&quot;removed&quot;:false,&quot;builtinExcludes&quot;:[],&quot;builtinSources&quot;:[&quot;src/SILABS_STARTUP.A51&quot;],&quot;builtin&quot;:true,&quot;module&quot;:&quot;&lt;project:MModule xmlns:project=\&quot;http://www.silabs.com/ss/Project.ecore\&quot; builtin=\&quot;true\&quot; id=\&quot;com.silabs.sdk.si8051.shared\&quot;/&gt;&quot;},{&quot;removed&quot;:false,&quot;builtinExcludes&quot;:[],&quot;builtinSources&quot;:[],&quot;builtin&quot;:false,&quot;module&quot;:&quot;&lt;project:MModule xmlns:project=\&quot;http://www.silabs.com/ss/Project.ecore\&quot; id=\&quot;com.silabs.sdk.si8051.external.efm8PeripheralDriver.pwr\&quot;/&gt;&quot;}]" projectCommon.sdkId="com.silabs.sdk.8051:4.1.6._-963069324" projectCommon.toolchainId="com.silabs.ss.tool.ide.c8051.toolchain.keil.cdt:9.53.0"/>
			<storageModule moduleId="cdtBuildSystem" version="4.0.0">
				<configuration artifactExtension="omf" artifactName="${ProjName}" buildArtefactType="org.eclipse.cdt.build.core.buildArtefactType.exe" buildProperties="org.eclipse.cdt.build.core.buildArtefactType=org.eclipse.cdt.build.core.buildArtefactType.exe" cleanCommand="rm -rf" description="" id="com.silabs.ss.tool.ide.c8051.toolchain.keil.cdt.debug#com.silabs.ss.tool.ide.c8051.toolchain.keil.cdt:9.53.0" name="Keil 8051 v9.53 - Debug" parent="com.silabs.ide.si8051.keil.exe.default">
					<folderInfo id="com.silabs.ss.tool.ide.c8051.toolchain.keil.cdt.debug#com.silabs.ss.tool.ide.c8051.toolchain.keil.cdt:9.53.0." name="/" resourcePath="">
						<toolChain id="com.silabs.ide.si8051.keil.toolchain.exe.default.1211958263" name="Keil 8051" superClass="com.silabs.ide.si8051.keil.toolchain.exe.default">
							<option id="com.silabs.ide.si8051.keil.toolchain.category.general.extended_assembler.1482876041" name="Use Extended Assembler (AX51) instead of A51" superClass="com.silabs.ide.si8051.keil.toolchain.category.general.extended_assembler" value="true" valueType="boolean"/>
							<option id="com.silabs.ide.si8051.keil.toolchain.category.general.extended_linker.1246647935" name="Use Extended Linker (LX51) instead of BL51" superClass="com.silabs.ide.si8051.keil.toolchain.category.general.extended_linker" value="true" valueType="boolean"/>
							<targetPlatform binaryParser="com.silabs.ss.tool.ide.c8051.debug.OMF;com.silabs.ss.tool.ide.c8051.debug.OMF2;com.silabs.ss.framework.debugger.core.BIN;com.silabs.ss.framework.debugger.core.HEX;com.silabs.ss.framework.debugger.core.S37;com.silabs.ss.framework.debugger.core.EBL;com.silabs.ss.framework.debugger.core.GBL" id="com.silabs.ide.si8051.keil.targetplatform.1743790600" isAbstract="false" superClass="com.silabs.ide.si8051.keil.targetplatform"/>
							<builder buildPath="${workspace_loc:/gat_nametag}/Keil 8051 v9.53 - Debug" id="com.silabs.ide.si8051.keil.builder.1759369601" keepEnvironmentInBuildfile="false" managedBuildOn="true" name="Keil Builder" parallelBuildOn="false" superClass="com.silabs.ide.si8051.keil.builder"/>
							<tool id="com.silabs.ide.si8051.keil.toolchain.compiler.1914801408" name="Keil 8051 Compiler" superClass="com.silabs.ide.si8051.keil.toolchain.compiler">
								<option id="com.silabs.ide.si8051.keil.compiler.category.optimization.emphasis.358944801" name="Emphasis" superClass="com.silabs.ide.si8051.keil.compiler.category.optimization.emphasis" value="com.silabs.ide.si8051.keil.compiler.category.optimization.emphasis.size" valueType="enumerated"/>
								<option id="com.silabs.ide.si8051.keil.compiler.category.optimization.level.300557708" name="Level" superClass="com.silabs.ide.si8051.keil.compiler.category.optimization.level" value="com.silabs.ide.si8051.keil.compiler.category.optimization.level.8" valueType="enumerated"/>
								<option id="com.silabs.ide.si8051.keil.compiler.category.includes.paths.160450219" name="Include paths (INCDIR(...))" superClass="com.silabs.ide.si8051.keil.compiler.category.includes.paths" valueType="includePath">
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/inc}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${StudioSdkPath}/Device/shared/si8051Base&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${StudioSdkPath}/Device/EFM8UB2/inc&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${StudioSdkPath}/Device/EFM8UB2/peripheral_driver/inc&quot;"/>
								</option>
								<inputType id="com.silabs.ide.si8051.keil.compiler.inputType.1005540733" superClass="com.silabs.ide.si8051.keil.compiler.inputType"/>
							</tool>
							<tool command="AX51" id="com.silabs.ide.si8051.keil.toolchain.assembler.1200690750" name="Keil 8051 Assembler" superClass="com.silabs.ide.si8051.keil.toolchain.assembler">
								<option id="com.silabs.ide.si8051.keil.assembler.category.symbols.def.738989853" name="Defined symbols (SET(...))" superClass="com.silabs.ide.si8051.keil.assembler.category.symbols.def" valueType="stringList">
									<listOptionValue builtIn="false" value="SILABS_STARTUP=1"/>
								</option>
								<option id="com.silabs.ide.si8051.keil.assembler.category.includes.paths.1589961901" name="Include paths (INCDIR(...))" superClass="com.silabs.ide.si8051.keil.assembler.category.includes.paths" valueType="includePath">
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/inc}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${StudioSdkPath}/Device/shared/si8051Base&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${StudioSdkPath}/Device/EFM8UB2/inc&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${StudioSdkPath}/Device/EFM8UB2/peripheral_driver/inc&quot;"/>
								</option>
								<inputType id="com.silabs.ide.si8051.keil.assembler.inputType.1194803299" superClass="com.silabs.ide.si8051.keil.assembler.inputType"/>
							</tool>
							<tool command="LX51" id="com.silabs.ide.si8051.keil.toolchain.linker.1690916396" name="Keil 8051 Linker" superClass="com.silabs.ide.si8051.keil.toolchain.linker">
								<option id="com.silabs.ide.si8051.keil.linker.category.ordering.selection.126916922" name="Linker input ordering" superClass="com.silabs.ide.si8051.keil.linker.category.ordering.selection" value="./src/SILABS_STARTUP.OBJ;./src/gat_nametag_main.OBJ;./src/InitDevice.OBJ;./src/Interrupts.OBJ;./src/fw.OBJ;./src/driver/efm8_smb1.OBJ;./src/driver/adxl345_spi.OBJ;./src/driver/oled_ssd1306.OBJ;./src/disp/draw_ssd1306.OBJ;./src/disp/hsv2rgb.OBJ;./src/led/lightlevel.OBJ;./src/led/rgbled.OBJ;./src/disp/font.OBJ;./lib/efm8ub2/peripheralDrivers/src/pwr.OBJ;./lib/efm8_assert/assert.OBJ" valueType="string"/>
								<option id="com.silabs.ide.si8051.keil.linker.category.misc.warnings.1253893230" name="Disable warning numbers:" superClass="com.silabs.ide.si8051.keil.linker.category.misc.warnings" value="15" valueType="string"/>
								<inputType id="com.silabs.ide.si8051.keil.linker.inputType.1298209024" superClass="com.silabs.ide.si8051.keil.linker.inputType"/>
							</tool>
							<tool id="com.silabs.ide.si8051.keil.toolchain.librarian.1568696547" name="Keil 8051 Library Manager" superClass="com.silabs.ide.si8051.keil.toolchain.librarian"/>
						</toolChain>
					</folderInfo>
					<fileInfo id="com.silabs.ss.tool.ide.c8051.toolchain.keil.cdt.debug#com.silabs.ss.tool.ide.c8051.toolchain.keil.cdt:9.53.0.1794341754" name="rand16.c" rcbsApplicability="disable" resourcePath="src/math/rand16.c" toolsToInvoke="com.silabs.ide.si8051.keil.toolchain.compiler.1914801408.1674715246">
						<tool id="com.silabs.ide.si8051.keil.toolchain.compiler.1914801408.1674715246" name="Keil 8051 Compiler" superClass="com.silabs.ide.si8051.keil.toolchain.compiler.1914801408">
							<option id="com.silabs.ide.si8051.keil.compiler.category.general.assembly_src.172935317" name="Generate assembly SRC from &quot;.c&quot; file" superClass="com.silabs.ide.si8051.keil.compiler.category.general.assembly_src" value="true" valueType="boolean"/>
							<inputType id="com.silabs.ide.si8051.keil.compiler.inputType.1525347486" superClass="com.silabs.ide.si8051.keil.compiler.inputType"/>
						</tool>
					</fileInfo>
					<sourceEntries>
						<entry excluding="lib/bsp|inc/disp/ugui.h|inc/disp/ugui_config.h|inc/disp/hsl2rgb.h|src" flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name=""/>
						<entry excluding="disp/ugui.c|disp/hsl2rgb.c" flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="src"/>
					</sourceEntries>
				</configuration>
			</storageModule>
			<storageModule moduleId="org.eclipse.cdt.core.externalSettings"/>
		</cconfiguration>
		<cconfiguration id="com.silabs.ss.tool.ide.c8051.toolchain.keil.cdt.release#com.silabs.ss.tool.ide.c8051.toolchain.keil.cdt:9.53.0">
			<storageModule buildSystemId="org.eclipse.cdt.managedbuilder.core.configurationDataProvider" id="com.silabs.ss.tool.ide.c8051.toolchain.keil.cdt.release#com.silabs.ss.tool.ide.c8051.toolchain.keil.cdt:9.53.0" moduleId="org.eclipse.cdt.core.settings" name="Keil 8051 v9.53 - Release">
				<macros>
					<stringMacro name="StudioSdkPath" type="VALUE_PATH_DIR" value="${StudioSdkPathFromID:com.silabs.sdk.8051:4.1.6._-963069324}"/>
					<stringMacro name="StudioToolchainPath" type="VALUE_PATH_DIR" value="${StudioToolchainPathFromID:com.silabs.ss.tool.ide.c8051.toolchain.keil.cdt:9.53.0}"/>
				</macros>
				<externalSettings/>
				<extensions>
					<extension id="com.silabs.ss.framework.debugger.core.HEX" point="org.eclipse.cdt.core.BinaryParser"/>
					<extension id="com.silabs.ss.tool.ide.c8051.debug.OMF2" point="org.eclipse.cdt.core.BinaryParser"/>
					<extension id="com.silabs.ss.framework.debugger.core.EBL" point="org.eclipse.cdt.core.BinaryParser"/>
					<extension id="com.silabs.ss.framework.debugger.core.GBL" point="org.eclipse.cdt.core.BinaryParser"/>
					<extension id="com.silabs.ss.tool.ide.c8051.debug.OMF" point="org.eclipse.cdt.core.BinaryParser"/>
					<extension id="com.silabs.ss.framework.debugger.core.BIN" point="org.eclipse.cdt.core.BinaryParser"/>
					<extension id="com.silabs.ss.framework.debugger.core.S37" point="org.eclipse.cdt.core.BinaryParser"/>
					<extension id="org.eclipse.cdt.core.GmakeErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="com.silabs.ss.tool.ide.c8051.toolchain.keil.cdt.KeilErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
					<extension id="org.eclipse.cdt.core.CWDLocator" point="org.eclipse.cdt.core.ErrorParser"/>
				</extensions>
			</storageModule>
			<storageModule buildConfig.needsApplyStock="true" buildConfig.stockConfigId="com.silabs.ss.tool.ide.c8051.toolchain.keil.cdt.release#com.silabs.ss.tool.ide.c8051.toolchain.keil.cdt:9.53.0" cppBuildConfig.cppBuiltInState="[{&quot;builtinMacrosMap&quot;:{},&quot;builtinLibraryPathsStr&quot;:&quot;&quot;,&quot;builtinLibraryFilesStr&quot;:&quot;&quot;,&quot;builtinLibraryNames&quot;:[],&quot;builtinLibraryObjectsStr&quot;:&quot;&quot;,&quot;id&quot;:&quot;&quot;,&quot;builtinIncludesStr&quot;:&quot;studio:/sdk/Device/shared/si8051Base/ studio:/sdk/Device/EFM8UB2/inc/ studio:/sdk/Device/EFM8UB2/peripheral_driver/inc/ studio:/sdk/kits/common/bsp/ studio:/sdk/Device/shared/si8051Base/ studio:/sdk/Device/EFM8UB2/inc/ studio:/sdk/Device/EFM8UB2/peripheral_driver/inc/ studio:/sdk/kits/common/bsp/&quot;,&quot;resolvedOptionsStr&quot;:&quot;[{\&quot;listValues\&quot;:[],\&quot;toolId\&quot;:\&quot;com.silabs.ide.si8051.keil.toolchain.exe.default\&quot;,\&quot;builtin\&quot;:true,\&quot;optionId\&quot;:\&quot;com.silabs.ide.si8051.keil.toolchain.category.general.extended_assembler\&quot;,\&quot;value\&quot;:\&quot;true\&quot;,\&quot;listValuesMap\&quot;:{}},{\&quot;listValues\&quot;:[],\&quot;toolId\&quot;:\&quot;com.silabs.ide.si8051.keil.toolchain.exe.default\&quot;,\&quot;builtin\&quot;:true,\&quot;optionId\&quot;:\&quot;com.silabs.ide.si8051.keil.toolchain.category.general.extended_linker\&quot;,\&quot;value\&quot;:\&quot;true\&quot;,\&quot;listValuesMap\&quot;:{}}]&quot;}]" moduleId="com.silabs.ss.framework.ide.project.core.cpp" projectCommon.referencedModules="[{&quot;removed&quot;:false,&quot;builtinExcludes&quot;:[],&quot;builtinSources&quot;:[&quot;lib/efm8ub2/peripheralDrivers/src/pwr.c&quot;,&quot;lib/efm8ub2/peripheralDrivers/inc/pwr.h&quot;],&quot;builtin&quot;:false,&quot;module&quot;:&quot;&lt;project:MModule xmlns:project=\&quot;http://www.silabs.com/ss/Project.ecore\&quot; id=\&quot;com.silabs.sdk.si8051.external.efm8PeripheralDriver.pwr\&quot;/&gt;&quot;},{&quot;removed&quot;:false,&quot;builtinExcludes&quot;:[&quot;lib/bsp&quot;],&quot;builtinSources&quot;:[&quot;lib/bsp/bsp.h&quot;,&quot;lib/bsp&quot;],&quot;builtin&quot;:false,&quot;module&quot;:&quot;&lt;project:MModule xmlns:project=\&quot;http://www.silabs.com/ss/Project.ecore\&quot; id=\&quot;com.silabs.sdk.si8051.external.bsp.efm8_bsp\&quot;/&gt;&quot;},{&quot;removed&quot;:false,&quot;builtinExcludes&quot;:[],&quot;builtinSources&quot;:[&quot;src/SILABS_STARTUP.A51&quot;],&quot;builtin&quot;:true,&quot;module&quot;:&quot;&lt;project:MModule xmlns:project=\&quot;http://www.silabs.com/ss/Project.ecore\&quot; builtin=\&quot;true\&quot; id=\&quot;com.silabs.sdk.si8051.shared\&quot;/&gt;&quot;}]" projectCommon.toolchainId="com.silabs.ss.tool.ide.c8051.toolchain.keil.cdt:9.53.0"/>
			<storageModule moduleId="cdtBuildSystem" version="4.0.0">
				<configuration artifactExtension="omf" artifactName="${ProjName}" buildArtefactType="org.eclipse.cdt.build.core.buildArtefactType.exe" buildProperties="org.eclipse.cdt.build.core.buildArtefactType=org.eclipse.cdt.build.core.buildArtefactType.exe" cleanCommand="rm -rf" description="" id="com.silabs.ss.tool.ide.c8051.toolchain.keil.cdt.release#com.silabs.ss.tool.ide.c8051.toolchain.keil.cdt:9.53.0" name="Keil 8051 v9.53 - Release" parent="com.silabs.ide.si8051.keil.exe.default">
					<folderInfo id="com.silabs.ss.tool.ide.c8051.toolchain.keil.cdt.release#com.silabs.ss.tool.ide.c8051.toolchain.keil.cdt:9.53.0." name="/" resourcePath="">
						<toolChain id="com.silabs.ide.si8051.keil.toolchain.exe.default.1022262843" name="Keil 8051" superClass="com.silabs.ide.si8051.keil.toolchain.exe.default">
							<option id="com.silabs.ide.si8051.keil.toolchain.category.general.extended_assembler.1521479542" name="Use Extended Assembler (AX51) instead of A51" superClass="com.silabs.ide.si8051.keil.toolchain.category.general.extended_assembler" value="true" valueType="boolean"/>
							<option id="com.silabs.ide.si8051.keil.toolchain.category.general.extended_linker.751233343" name="Use Extended Linker (LX51) instead of BL51" superClass="com.silabs.ide.si8051.keil.toolchain.category.general.extended_linker" value="true" valueType="boolean"/>
							<targetPlatform binaryParser="com.silabs.ss.tool.ide.c8051.debug.OMF;com.silabs.ss.tool.ide.c8051.debug.OMF2;com.silabs.ss.framework.debugger.core.BIN;com.silabs.ss.framework.debugger.core.HEX;com.silabs.ss.framework.debugger.core.S37;com.silabs.ss.framework.debugger.core.EBL;com.silabs.ss.framework.debugger.core.GBL" id="com.silabs.ide.si8051.keil.targetplatform.1225426157" isAbstract="false" superClass="com.silabs.ide.si8051.keil.targetplatform"/>
							<builder buildPath="${workspace_loc:/gat_nametag}/Keil 8051 v9.53 - Release" id="com.silabs.ide.si8051.keil.builder.1335064871" keepEnvironmentInBuildfile="false" managedBuildOn="true" name="Keil Builder" parallelBuildOn="false" superClass="com.silabs.ide.si8051.keil.builder"/>
							<tool id="com.silabs.ide.si8051.keil.toolchain.compiler.565070202" name="Keil 8051 Compiler" superClass="com.silabs.ide.si8051.keil.toolchain.compiler">
								<option id="com.silabs.ide.si8051.keil.compiler.category.optimization.coloring.101724319" name="Global register coloring" superClass="com.silabs.ide.si8051.keil.compiler.category.optimization.coloring" value="true" valueType="boolean"/>
								<option id="com.silabs.ide.si8051.keil.compiler.category.optimization.emphasis.2120437703" name="Emphasis" superClass="com.silabs.ide.si8051.keil.compiler.category.optimization.emphasis" value="com.silabs.ide.si8051.keil.compiler.category.optimization.emphasis.speed" valueType="enumerated"/>
								<option id="com.silabs.ide.si8051.keil.compiler.category.includes.paths.4909902" name="Include paths (INCDIR(...))" superClass="com.silabs.ide.si8051.keil.compiler.category.includes.paths" valueType="includePath">
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/inc}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${StudioSdkPath}/Device/shared/si8051Base&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${StudioSdkPath}/Device/EFM8UB2/inc&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${StudioSdkPath}/Device/EFM8UB2/peripheral_driver/inc&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${StudioSdkPath}/kits/common/bsp&quot;"/>
								</option>
								<inputType id="com.silabs.ide.si8051.keil.compiler.inputType.1719594248" superClass="com.silabs.ide.si8051.keil.compiler.inputType"/>
							</tool>
							<tool command="AX51" id="com.silabs.ide.si8051.keil.toolchain.assembler.455123163" name="Keil 8051 Assembler" superClass="com.silabs.ide.si8051.keil.toolchain.assembler">
								<option id="com.silabs.ide.si8051.keil.assembler.category.symbols.def.541436851" name="Defined symbols (SET(...))" superClass="com.silabs.ide.si8051.keil.assembler.category.symbols.def" valueType="stringList">
									<listOptionValue builtIn="false" value="SILABS_STARTUP=1"/>
								</option>
								<option id="com.silabs.ide.si8051.keil.assembler.category.includes.paths.985881354" name="Include paths (INCDIR(...))" superClass="com.silabs.ide.si8051.keil.assembler.category.includes.paths" valueType="includePath">
									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/inc}&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${StudioSdkPath}/Device/shared/si8051Base&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${StudioSdkPath}/Device/EFM8UB2/inc&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${StudioSdkPath}/Device/EFM8UB2/peripheral_driver/inc&quot;"/>
									<listOptionValue builtIn="false" value="&quot;${StudioSdkPath}/kits/common/bsp&quot;"/>
								</option>
								<inputType id="com.silabs.ide.si8051.keil.assembler.inputType.1554850788" superClass="com.silabs.ide.si8051.keil.assembler.inputType"/>
							</tool>
							<tool command="LX51" id="com.silabs.ide.si8051.keil.toolchain.linker.200295037" name="Keil 8051 Linker" superClass="com.silabs.ide.si8051.keil.toolchain.linker">
								<option id="com.silabs.ide.si8051.keil.linker.category.ordering.selection.1502989625" name="Linker input ordering" superClass="com.silabs.ide.si8051.keil.linker.category.ordering.selection" value="./src/led/lightlevel.OBJ;./src/led/rgbled.OBJ;./src/driver/adxl345_spi.OBJ;./src/driver/efm8_smb1.OBJ;./src/driver/oled_ssd1306.OBJ;./src/disp/draw_ssd1306.OBJ;./src/disp/font.OBJ;./src/disp/hsv2rgb.OBJ;./src/disp/ugui.OBJ;./src/InitDevice.OBJ;./src/Interrupts.OBJ;./src/SILABS_STARTUP.OBJ;./src/fw.OBJ;./src/gat_nametag_main.OBJ;./lib/efm8ub2/peripheralDrivers/src/pwr.OBJ;./lib/efm8_assert/assert.OBJ" valueType="string"/>
								<option id="com.silabs.ide.si8051.keil.linker.category.misc.warnings.2077347274" name="Disable warning numbers:" superClass="com.silabs.ide.si8051.keil.linker.category.misc.warnings" value="15" valueType="string"/>
								<inputType id="com.silabs.ide.si8051.keil.linker.inputType.1084917129" superClass="com.silabs.ide.si8051.keil.linker.inputType"/>
							</tool>
							<tool id="com.silabs.ide.si8051.keil.toolchain.librarian.2076042862" name="Keil 8051 Library Manager" superClass="com.silabs.ide.si8051.keil.toolchain.librarian"/>
						</toolChain>
					</folderInfo>
					<sourceEntries>
						<entry excluding="lib/efm8ub2/peripheralDrivers/inc/smb_0.h|lib/efm8ub2/peripheralDrivers/src/smb_0.c|src" flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name=""/>
						<entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="src"/>
					</sourceEntries>
				</configuration>
			</storageModule>
			<storageModule moduleId="org.eclipse.cdt.core.externalSettings"/>
		</cconfiguration>
	</storageModule>
	<storageModule moduleId="com.silabs.ss.framework.ide.project.core.cpp" project.generation="15" projectCommon.boardIds="com.silabs.board.none:0.0.0" projectCommon.buildArtifactType="EXE" projectCommon.importModeId="COPY" projectCommon.partId="mcu.8051.efm8.ub2.efm8ub20f32g-a-qfp32" projectCommon.sdkId="com.silabs.sdk.8051:4.1.6._-963069324"/>
	<storageModule moduleId="cdtBuildSystem" version="4.0.0">
		<project id="gat_nametag.com.silabs.ss.framework.ide.project.core.cdt.cdtMbsProjectType.1694881463" name="SLS CDT Project" projectType="com.silabs.ss.framework.ide.project.core.cdt.cdtMbsProjectType"/>
	</storageModule>
	<storageModule moduleId="org.eclipse.cdt.core.LanguageSettingsProviders"/>
	<storageModule moduleId="scannerConfiguration">
		<autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId=""/>
		<scannerConfigBuildInfo instanceId="com.silabs.ss.tool.ide.c8051.toolchain.keil.cdt.debug#com.silabs.ss.tool.ide.c8051.toolchain.keil.cdt:9.53.0;com.silabs.ss.tool.ide.c8051.toolchain.keil.cdt.debug#com.silabs.ss.tool.ide.c8051.toolchain.keil.cdt:9.53.0.">
			<autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId="com.silabs.ide.si8051.keil.KeilScannerInfoCollector"/>
		</scannerConfigBuildInfo>
		<scannerConfigBuildInfo instanceId="com.silabs.ss.tool.ide.c8051.toolchain.keil.cdt.release#com.silabs.ss.tool.ide.c8051.toolchain.keil.cdt:9.53.0;com.silabs.ss.tool.ide.c8051.toolchain.keil.cdt.release#com.silabs.ss.tool.ide.c8051.toolchain.keil.cdt:9.53.0.">
			<autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId="com.silabs.ide.si8051.keil.KeilScannerInfoCollector"/>
		</scannerConfigBuildInfo>
	</storageModule>
	<storageModule moduleId="refreshScope" versionNumber="2">
		<configuration configurationName="Keil 8051 v9.53 - Debug">
			<resource resourceType="PROJECT" workspacePath="/gat_nametag"/>
		</configuration>
		<configuration configurationName="Keil 8051 v9.53 - Release">
			<resource resourceType="PROJECT" workspacePath="/gat_nametag"/>
		</configuration>
	</storageModule>
</cproject>
